Bug 301059 - Wrong away icon in "what's this" text on nick list
Summary: Wrong away icon in "what's this" text on nick list
Status: RESOLVED FIXED
Alias: None
Product: konversation
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konversation Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-02 15:31 UTC by Christian (Fuchs)
Modified: 2012-06-04 22:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian (Fuchs) 2012-06-02 15:31:18 UTC
The "what's this" list shows the usermode icons with a short explanation of what they mean. The icon used for "away" is the same as the regular user one, instead of having the small clock overlay (or whatever your icon theme does)

Reproducible: Always

Steps to Reproduce:
1. Click help -> what's this
2. Click on nicklist
3. Check icons
Actual Results:  
Away has the wrong icon (last one in the list)

Expected Results:  
Away has the correct icon

As requested on IRC. 

Happy hacking :)
Comment 1 Eike Hein 2012-06-04 22:57:59 UTC
Git commit f557bd6798265b6027cab9affcc1ff55bc57bcc0 by Eike Hein.
Committed on 05/06/2012 at 00:57.
Pushed by hein into branch 'master'.

Fix showing the away overlay icon in the nicklist What's This.

Also lays out the text a bit nicer and makes the code backing the
tooltip a little less batshit insane.

It would be nicer to show a blended example, but stuffing the
blended pixmap into a temp file to be able to access it from HTML
isn't worth it. Once more I wish the resource system could register
content dynamically at runtime.

M  +17   -22   src/irc/nicklistview.cpp
M  +6    -0    src/viewer/images.cpp
M  +2    -0    src/viewer/images.h

http://commits.kde.org/konversation/f557bd6798265b6027cab9affcc1ff55bc57bcc0